# Class Position

java.lang.Object
uk.ac.starlink.tfcat.Position

public class Position extends Object
Represents a position in (time, spectral) space. The detailed meaning of the coordinates is determined by the Coordinate Reference System in force.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Position(double time, double spectral)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`double`
`getSpectral()`
Returns the spectral coordinate.
`double`
`getTime()`
Returns the time coordinate.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Position

public Position(double time, double spectral)
Constructor.

Parameters:
  `time` - temporal coordinate
  `spectral` - spectral coordinate

## Method Details

### getTime

public double getTime()
Returns the time coordinate.

Returns:
  temporal coordinate

### getSpectral

public double getSpectral()
Returns the spectral coordinate.

Returns:
  spectral coordinate

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`